# norootforbuild

%define soname 1

Name:		xmlsec1
Version:	1.2.18
Release:	1.2

Summary:	Library providing support for "XML Signature" and "XML Encryption" standards
URL:            http://www.aleksey.com/xmlsec
License:	MIT
Group:		System/Libraries

Source:		http://www.aleksey.com/xmlsec/download/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	libxml2-devel libxslt-devel pkgconfig
BuildRequires:	libtool

%description
XML Security Library is a C library based on LibXML2  and OpenSSL.
The library was created with a goal to support major XML security
standards "XML Digital Signature" and "XML Encryption".


%package -n lib%{name}-%{soname}
Group:		System/Libraries
Summary:	Library providing support for "XML Signature/Encryption" standards

%description -n lib%{name}-%{soname}
XML Security Library is a C library based on LibXML2  and OpenSSL.
The library was created with a goal to support major XML security
standards "XML Digital Signature" and "XML Encryption".


%package -n lib%{name}-devel
Summary:	Development files for %{name}
Group:		Development/Languages/C and C++
Requires:	lib%{name}-%{soname} = %{version}
Requires:	libxml2-devel libxslt-devel

%description -n lib%{name}-devel
Libraries, includes, etc. you can use to develop applications with XML Digital
Signatures and XML Encryption support.


%package -n lib%{name}-gnutls%{soname}
Summary:	GNUTLS crypto plugin for XML Security Library
Group:		System/Libraries
BuildRequires:	libgnutls-devel

%description -n lib%{name}-gnutls%{soname}
GNUTLS plugin for XML Security Library provides GNUTLS based crypto services
for the xmlsec library


%package -n lib%{name}-gnutls-devel
Summary:	GNUTLS crypto plugin for XML Security Library
Group:		Development/Languages/C and C++
Requires:	lib%{name}-gnutls%{soname} = %{version}
Requires:	lib%{name}-devel
Requires:	libgnutls-devel

%description -n lib%{name}-gnutls-devel
Libraries, includes, etc. for developing XML Security applications with GNUTLS


%package -n lib%{name}-gcrypt%{soname}
Summary:	GCRYPT crypto plugin for XML Security Library
Group:		System/Libraries

%description -n lib%{name}-gcrypt%{soname}
GCRYPT plugin for XML Security Library provides GCRYPT based crypto services
for the xmlsec library


%package -n lib%{name}-gcrypt-devel
Summary:	GCRYPT crypto plugin for XML Security Library
Group:		Development/Languages/C and C++
Requires:	lib%{name}-gcrypt%{soname} = %{version}
Requires:	lib%{name}-devel

%description -n lib%{name}-gcrypt-devel
Libraries, includes, etc. for developing XML Security applications with GCRYPT


%package -n lib%{name}-openssl%{soname}
Summary:	OpenSSL crypto plugin for XML Security Library
Group:		System/Libraries
BuildRequires:	openssl-devel

%description -n lib%{name}-openssl%{soname}
OpenSSL plugin for XML Security Library provides OpenSSL based crypto services
for the xmlsec library


%package -n lib%{name}-openssl-devel
Summary:	OpenSSL crypto plugin for XML Security Library
Group:		Development/Languages/C and C++
Requires:	lib%{name}-openssl%{soname} = %{version}
Requires:	lib%{name}-devel
Requires:	openssl-devel

%description -n lib%{name}-openssl-devel
Libraries, includes, etc. for developing XML Security applications with OpenSSL


%package -n lib%{name}-nss%{soname}
Summary:	NSS crypto plugin for XML Security Library
Group:		System/Libraries
BuildRequires:	mozilla-nspr-devel mozilla-nss-devel

%description -n lib%{name}-nss%{soname}
NSS plugin for XML Security Library provides NSS based crypto services
for the xmlsec library


%package -n lib%{name}-nss-devel
Summary:	NSS crypto plugin for XML Security Library
Group:		Development/Languages/C and C++
Requires:	lib%{name}-nss%{soname} = %{version}
Requires:	lib%{name}-devel
Requires:	mozilla-nspr-devel mozilla-nss-devel

%description -n lib%{name}-nss-devel
Libraries, includes, etc. for developing XML Security applications with NSS





%prep
%setup -q -n %{name}-%{version}


%build
%configure --with-html-dir=%{_docdir}/%{name} --enable-debuging --disable-static
%{__make}


%install
%makeinstall

# remove unneeded *.la files
%__rm %{buildroot}%{_libdir}/lib%{name}.la
%__rm %{buildroot}%{_libdir}/lib%{name}-gnutls.la
%__rm %{buildroot}%{_libdir}/lib%{name}-gcrypt.la
%__rm %{buildroot}%{_libdir}/lib%{name}-openssl.la
%__rm %{buildroot}%{_libdir}/lib%{name}-nss.la


%clean
%{__rm} -rf %{buildroot}


%post -n lib%{name}-%{soname} -p /sbin/ldconfig
%postun -n lib%{name}-%{soname} -p /sbin/ldconfig

%post -n lib%{name}-gnutls%{soname} -p /sbin/ldconfig
%postun -n lib%{name}-gnutls%{soname} -p /sbin/ldconfig

%post -n lib%{name}-gcrypt%{soname} -p /sbin/ldconfig
%postun -n lib%{name}-gcrypt%{soname} -p /sbin/ldconfig

%post -n lib%{name}-openssl%{soname} -p /sbin/ldconfig
%postun -n lib%{name}-openssl%{soname} -p /sbin/ldconfig

%post -n lib%{name}-nss%{soname} -p /sbin/ldconfig
%postun -n lib%{name}-nss%{soname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%doc %{_mandir}/man1/%{name}.1*
%{_bindir}/xmlsec1

%files -n lib%{name}-%{soname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%doc %{_mandir}/man1/%{name}-config.1*
%{_bindir}/xmlsec1-config
%dir %{_includedir}/%{name}
%dir %{_includedir}/%{name}/xmlsec
%{_includedir}/%{name}/xmlsec/*.h
%dir %{_includedir}/%{name}/xmlsec/private
%{_includedir}/%{name}/xmlsec/private/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/xmlsec1Conf.sh
%{_datadir}/aclocal/xmlsec1.m4

%files -n lib%{name}-gnutls%{soname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-gnutls.so.*

%files -n lib%{name}-gnutls-devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}/xmlsec/gnutls
%{_includedir}/%{name}/xmlsec/gnutls/*.h
%{_libdir}/lib%{name}-gnutls.so
%{_libdir}/pkgconfig/%{name}-gnutls.pc

%files -n lib%{name}-gcrypt%{soname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-gcrypt.so.*

%files -n lib%{name}-gcrypt-devel
%defattr(-,root,root)
%{_libdir}/libxmlsec1-gcrypt.so
%{_libdir}/pkgconfig/%{name}-gcrypt.pc
%dir %{_includedir}/%{name}/xmlsec/gcrypt
%{_includedir}/%{name}/xmlsec/gcrypt/*.h

%files -n lib%{name}-openssl%{soname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-openssl.so.*

%files -n lib%{name}-openssl-devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}/xmlsec/openssl
%{_includedir}/%{name}/xmlsec/openssl/*.h
%{_libdir}/lib%{name}-openssl.so
%{_libdir}/pkgconfig/%{name}-openssl.pc

%files -n lib%{name}-nss%{soname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-nss.so.*

%files -n lib%{name}-nss-devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}/xmlsec/nss
%{_includedir}/%{name}/xmlsec/nss/*h
%{_libdir}/lib%{name}-nss.so
%{_libdir}/pkgconfig/%{name}-nss.pc

%changelog
* Thu Aug 16 2012 seife+obs@b1-systems.com
- update to upstream version 1.2.18
  * Fixed crasher in 64 bit
- fix build on 12.2 (add libtool buildreq)
* Thu Jul  1 2010 detlef@links2linux.de
- new upstream versin <1.2.17
  * fixed security issue with libxslt (CVE-2011-1425, reported by Nicolas
    Gregoire)
  * fixed a number of build configuration problems, pkcs12 file loading, and
    gcrypt init/shutdown.
* Thu Jul  1 2010 detlef@links2linux.de
- new upstream versin <1.2.16>
* Mon Aug 10 2009 detlef@links2linux.de
- fix spec to fit SLPP
* Sat Jul 18 2009 detlef@links2linux.de
- new upstream versin <1.2.12>
* Fri Jun 12 2009 detlef@links2linux.de
- new upstream versin <1.2.11>
* Mon Jul 21 2008 detlef@links2linux.de
- initial build for PackMan
* Sat Oct 13 2007 build@rauchs-home.de
- changed spec for new library system for openSUSE 10.3
